Subject: [payload] potential errata for RFC 8331

From: Thomas Edwards <[email-masked]>
Date: Wed, 2 Jan 2019 22:21:03 +0000

It was pointed out to me that in RFC 8331 “RTP Payload for Society of Motion Picture and
Television Engineers (SMPTE) ST 291-1 Ancillary Data” it states in Section 2.1 regarding
the field “F” bits:

“The value 0b01 is not valid.  Receivers SHOULD ignore an ANC data packet with an F field
value of 0b01 and SHOULD process any other ANC data packets with valid F field values
that are present in the RTP payload.”

However, there is only one set of F bits per RTP packet.  This section should probably state:

“The value 0b01 is not valid.  Receivers SHOULD ignore all ANC data packets in an
RTP packet with an F field value of 0b01.”

If this sounds reasonable, I will report a new erratum.

-Thomas

--
Thomas Edwards
FOX Networks Engineering & Operations
VP Engineering & Development
[email-masked]
+1-310-369-6696
10201 W Pico Blvd
Los Angeles, CA 90035

---

From: "Ali C. Begen" <[email-masked]>
Date: Thu, 3 Jan 2019 13:44:54 +0300

Well, we can make that clarification. Please submit it.

> On Jan 3, 2019, at 1:21 AM, Thomas Edwards <[email-masked]> wrote:
> 
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload